package net.mc_pandacraft.java.plugin.pandacraftutils.network_api.request_executors;

import org.bukkit.ChatColor;

import net.mc_pandacraft.java.plugin.pandacraftutils.network_api.Response;

public class RequestExecutorBroadcast extends AbstractRequestExecutor {

	public RequestExecutorBroadcast() {
		super("broadcast");
	}
	
	
	@Override
	protected Response run(String data) {
		
		plugin.broadcast(ChatColor.translateAlternateColorCodes('&', data), false);
		
		return new Response(true, "");
	}

}
